<?php 
class EFCombobox extends AppElementoFormularioMulti{
	public $helper = 'formSelect';
	
	public function renderInput(){
		$view = $this->getView();
		$helper = $this->getHelper();
		$attribs   = $this->getAttribs();
		if (!array_key_exists('id', $attribs)) {
			$attribs['id'] = $this->getName();
		}
		if(isset($attribs['helper'])){
			unset($attribs['helper']);
		}
		try {
			return  $view->$helper($this->getName(), $this->getValue(), $attribs, $this->getMultiOptions(),  $this->getSeparator() );
		} catch (Exception $e) {
			return $e->__toString();
		}
	
	}
	
}